Bug 151067 - [PATCH] devel/ptlib: fix build in presence of alsa-lib
Summary: [PATCH] devel/ptlib: fix build in presence of alsa-lib
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-29 13:10 UTC by Dmitry Marakasov
Modified: 2010-12-27 11:40 UTC (History)
1 user (show)

See Also:


Attachments
ptlib-2.6.5_3.patch (908 bytes, patch)
2010-09-29 13:10 UTC, Dmitry Marakasov
no flags Details | Diff
ptlib267_1.diff (3.13 KB, patch)
2010-10-05 19:40 UTC, Alexander V. Chernikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2010-09-29 13:10:00 UTC
ptlib doesn't build in presence of audio/alsa-lib:

http://people.freebsd.org/~amdmi3/ptlib-2.6.5_2.log

Port maintainer (melifaro@ipfw.ru) is cc'd.

Generated with FreeBSD Port Tools 0.99

Fix: (while here, drop MASTER_SITE_SUBDIR)
Comment 1 Edwin Groothuis freebsd_committer 2010-09-29 13:10:05 UTC
Maintainer of devel/ptlib,

Please note that PR ports/151067 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151067

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-29 13:10:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dmitry Marakasov freebsd_committer 2010-09-30 20:44:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

My PR 

http://www.freebsd.org/cgi/query-pr.cgi?pr=151067 

Date: Wed, 29 Sep 2010 16:55:24 +0400
Comment 4 Dmitry Marakasov 2010-09-30 21:05:09 UTC
Looks good, but what do you think about using
SF/opalvoip/v3.6%20Lalande/Final/ as MASTER_SITES? I try to get rid of
MASTER_SITE_SUBDIR where possible as it has problems.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Alexander V. Chernikov 2010-10-05 19:40:36 UTC
No problem
Comment 6 dfilter service freebsd_committer 2010-12-27 11:31:27 UTC
amdmi3      2010-12-27 11:31:22 UTC

  FreeBSD ports repository

  Modified files:
    devel/ptlib26        Makefile distinfo pkg-plist 
  Log:
  - Update to 2.6.7
  - Fix alsa support
  
  PR:             151067
  Submitted by:   myself
  Patch by:       maintainer
  
  Revision  Changes    Path
  1.13      +18 -5     ports/devel/ptlib26/Makefile
  1.6       +3 -3      ports/devel/ptlib26/distinfo
  1.10      +2 -1      ports/devel/ptlib26/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Dmitry Marakasov freebsd_committer 2010-12-27 11:31:47 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!